void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);
void net_perror(char _near *);
int _fastcall convert_error(int);
void _fastcall leave(int);

int _fastcall novell_init(int, int _near *, void _far *);
int _fastcall novell_shutdown(int, int _near *, void _far *);
int _fastcall novell_socket(int, int _near *, void _far *);
int _fastcall novell_info(int, int _near *, void _far *);
int _fastcall novell_accept(int, int _near *, void _far *);
int _fastcall novell_drain(int, int _near *, void _far *);
int _fastcall novell_release(int, int _near *, void _far *);
int _fastcall novell_eof(int, int _near *, void _far *);
int _fastcall novell_read(int, int _near *, void _far *);
int _fastcall novell_write(int, int _near *, void _far *);
int _fastcall novell_recv(int, int _near *, void _far *);
int _fastcall novell_sendto(int, int _near *, void _far *);
int _fastcall novell_select(int, int _near *, void _far *);

#undef htons
#undef ntohs
#define htons(x) ((u_short)((u_char)(x) << 8) | (u_char)((u_short)(x) >> 8))
#define ntohs(x) ((u_short)((u_char)(x) << 8) | (u_char)((u_short)(x) >> 8))
